Skip to main content

Class Format Error: 56 or How to use javac1.4 in NetBeans?

No replies
UserSuperPupsik
Offline
Joined: 2013-09-25
Points: 0

Hello!
In This site i found the subject named: java.lang.Error: ClassFormatError: 56:

davyp
Offline
Joined: 2007-01-03

You probably compiled the java sources with a jdk 5 or 6 java compiler, but
J2ME does not recognize class files compiled with such a recent compiler. The
class file format should be compatible with jdk 1.4. You can achieve this by
recompiling the sources with

javac -source 1.4 -target 1.4 ...

Davy
---------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------
My question is: Where I must past "javac -source 1.4 -target 1.4 ..." or How to use javac1.4 in NetBeans?